Subject: [edu-team] Fw: OSPF -vs- ISIS

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 27 Jun 2005 07:16:01 -0500

I am Not a Routing Person, but I noticed this exchange on the NANOG 
list, and further noticed Radia's name among the acknowledgements 
(whether "directly or indirectly") in the draft.

I found the draft helpful (although it may not be entirely up to date, 
since it expired in 2004). I believe the canonical reference on the 
topic is a Dave Katz presentation to NANOG that's a few years older, 
so this draft seems worth publishing, at some point.

Would the EDU team be a reasonable sponsor for this draft? I can't 
imagine another one in the IETF (well, I GUESS I can imagine RTGWG, 
but the draft has expired, so this wasn't so obviously the right thing 
to do that RTGWG sponsored it in 2004).

I could also imagine NANOG starting its own document series to publish 
stuff like this, but the IETF does have responsibility for OSPF (at a 
minimum, plus whatever we're doing with IS-IS).

Spencer

From: "Abhishek Verma" <[email-masked]>
To: "Manav Bhatia" <[email-masked]>
Cc: "Dan Evans" <[email-masked]>; <[email-masked]>
Sent: Monday, June 27, 2005 4:12 AM
Subject: Re: OSPF -vs- ISIS

Hi Manav,

Excellent Document!

I see that this document has expired. Are you folks thinking of
respinning a copy of this draft?

Thanks,
Abhishek

On 6/23/05, Manav Bhatia <[email-masked]> wrote:
>
> Hi Daniel,
>
> We wrote a draft some time back comparing the two protocols ISIS and 
> OSPF.
> It should address some of your doubts and concerns.
>
> Here's a pointer to my local copy:
>
> http://geocities.com/mnvbhatia/draft-bhatia-manral-diff-isis-ospf-00.txt
>
> Thanks,
> Manav
>
> !> -----Original Message-----
> !> From: [email-masked] [mailto:[email-masked]]
> !> On Behalf Of Dan Evans
> !> Sent: Tuesday, June 21, 2005 7:35 PM
> !> To: [email-masked]
> !> Subject: OSPF -vs- ISIS
> !>
> !>
> !> All,
> !>
> !> Can anyone point me to information on what the top N service
> !> providers
> !> are using for their IGP? I'm trying to build a case for
> !> switching from
> !> OSPF to IS-IS. Those on this list who are currently running 
> IS-IS, do
> !> you find better scalability and stability running IS-IS than 
> OSPF? I
> !> understand that this question is a lot more complex than a simple 
> yes
> !> or no since factors like design and routing policy will certainly
> !> affect the protocols behavior.
> !>
> !> Any insights or experiences that you can share would be most 
> helpful.
> !>
> !> Thanks,
> !>
> !> Daniel Evans
> !> Alltel Communications
> !>
> !>
>
>
>

-- 

--
Class of 2004
Institute of Technology, BHU
Varanasi, India

_______________________________________________
edu-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/edu-team

---

From: avri doria <[email-masked]>
Date: Mon, 27 Jun 2005 14:27:21 +0200

Hi,

Well, the edu team is not properly speaking a WG, so i don't know if we  
can sponsor drafts as in: draft-ietf-edu...  I somehow doubt it.  But  
maybe.  Brian?

If we wanted we could possibly have a reference section on the web site  
that included interesting documents, but taking an expired draft and  
posting it permanently might be a problem within the formal IETF  
context given the rules/practices concerning the temporary nature of  
ids.

The authors, of course, could certainly take the draft through to RFC  
informational as in individual work.  they do not need a hosting group  
for that.

a.

On 27 jun 2005, at 14.16, Spencer Dawkins wrote:

>> !> OSPF to IS-IS. Those on this list who are currently running IS-IS,  
>> do
>> !> you find better scalability and stability running IS-IS than OSPF?  
>> I

---

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 27 Jun 2005 07:39:35 -0500

OK, Margaret has also sent me a private e-mail, so let me clarify - I 
am talking about encouraging people to capture technical SUMMARIES, 
not sponsoring technical contributions (and wasn't thinking about 
draft-ietf-edu-* at all).

Sorry for confusing people who are trying to be helpful.

Spencer

From: "avri doria" <[email-masked]>
To: "Spencer Dawkins" <[email-masked]>
Cc: "EDU Team" <[email-masked]>
Sent: Monday, June 27, 2005 7:27 AM
Subject: Re: [edu-team] Fw: OSPF -vs- ISIS

> Hi,
>
> Well, the edu team is not properly speaking a WG, so i don't know if 
> we  can sponsor drafts as in: draft-ietf-edu...  I somehow doubt it. 
> But  maybe.  Brian?
>
> If we wanted we could possibly have a reference section on the web 
> site  that included interesting documents, but taking an expired 
> draft and  posting it permanently might be a problem within the 
> formal IETF  context given the rules/practices concerning the 
> temporary nature of  ids.
>
> The authors, of course, could certainly take the draft through to 
> RFC  informational as in individual work.  they do not need a 
> hosting group  for that.
>
> a.
>
>> I found the draft helpful (although it may not be entirely up to 
>> date,  since it expired in 2004). I believe the canonical reference 
>> on the  topic is a Dave Katz presentation to NANOG that's a few 
>> years older,  so this draft seems worth publishing, at some point.
>>
>> but the draft has expired, so this wasn't so obviously the right 
>> thing  to do that RTGWG sponsored it in 2004).
>>
>> I could also imagine NANOG starting its own document series to 
>> publish  stuff like this, but the IETF does have responsibility for 
>> OSPF (at a  minimum, plus whatever we're doing with IS-IS).
>>
>> Spencer
>>
>>> We wrote a draft some time back comparing the two protocols ISIS 
>>> and  OSPF.
>>> !> understand that this question is a lot more complex than a 
>>> simple  yes

---

From: Susan Harris <[email-masked]>
Date: Mon, 27 Jun 2005 09:11:34 -0400 (EDT)

> I could also imagine NANOG starting its own document series to publish stuff 
> like this, but the IETF does have responsibility for OSPF (at a minimum, plus 
> whatever we're doing with IS-IS).

We've floated this idea for years, and it's a really good one, but lack of 
time on Merit's part meant no follow-through.  Maybe with the new 
admin structure NANOG will launch a series like this.  (On the other hand, 
it's so hard to get engineers to write ...)

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 28 Jun 2005 00:24:42 +0200

If the quality is good enough this is what ISOC Briefings are for.

    Brian

Spencer Dawkins wrote:
> OK, Margaret has also sent me a private e-mail, so let me clarify - I am 
> talking about encouraging people to capture technical SUMMARIES, not 
> sponsoring technical contributions (and wasn't thinking about 
>> site  that included interesting documents, but taking an expired draft 
>> and  posting it permanently might be a problem within the formal IETF  
>> informational as in individual work.  they do not need a hosting 
>> group  for that.
>>
>> a.
>>
>>> on the  topic is a Dave Katz presentation to NANOG that's a few years 
>>> older,  so this draft seems worth publishing, at some point.
>>>

---

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 27 Jun 2005 22:43:38 -0500

Backing up slightly, today's e-mail also brought the announcement for 
ftp://ftp.rfc-editor.org/in-notes/rfc4101.txt to my inbox - Eric and 
the IAB have done an excellent job of proposing roughly what Radia 
proposed for tutorial/overviews; might it be reasonable to sponsor a 
tutorial based on RFC 4101 at IETF 64?

We might even be able to fast-talk Eric into giving the tutorial...

Spencer

> In response to Spencer's suggestion about an IS-IS vs OSPF document:
>
> I've been trying to get people in the habit of writing tutorial 
> documents, for all complex documents.
> A lot of RFCs sort of assume you've been living with the WG for 10 
> years in order to understand it,
> and they are woefully incomplete in terms of being self-contained. 
> Others are so long and detailed
> that it would be impossible for a mere mortal to understand it. Plus 
> there are a lot of interesting
> technical issues that were decided, for whatever reasons, and the 
> reasoning behind it gets lost.
>
> Spencer's suggestion of a "protocol A vs protocol B" (as opposed to
> a tutorial on each) is an interesting case, and probably politically
> sensitive, no matter what A and B are.
> Having something that compares
> various protocols that are seemingly in the same space would also be 
> valuable, though some people
> get really territorial and don't like to see anything that implies 
> anything else exists, or has any advantages
> relative to theirs. But on the other hand, documents comparing 
> things in a fair technical way do capture
> information everyone wonders about, and it ultimately causes 
> protocols to improve, because although
> sometimes people in WG A want to just ignore WG B, if someone 
> actually explains the advantages,
> often WG A is happy to modify their protocol. (better yet would be 
> to also credit WG B with the
> ideas as well as using them).
>
> But back to pure tutorials about a single WG.
> I've been trying to advocate for tutorial documents that capture the 
> conceptual
> detail behind a protocol, without all the exact bits and bytes, so 
> it is small enough to comprehend,
> plus have a document that captures all the contentious issues and 
> all the arguments on both sides,
> so it could be revived in the future (if it turns out that some of 
> the reasoning was wrong or new
> cogent arguments appear, or so that if someone brings up the same 
> arguments again, they are
> already documented).
>
> I've been meaning to do that for IKE. I even wrote one, but let it 
> expire. I wound up getting distracted
> with other things, and was waiting for IKEv2 to get finalized, 
> rather than trying to write up a somewhat
> moving target. I keep getting emails from people asking where the 
> draft went.
>
> But perhaps this is something that edu can do. Not documents to add 
> any technical content, but to
> tutorialize in writing things that are hard to grasp otherwise. 
> Perhaps this should be done in the
> same WG as the complex document. Or perhaps there could be an edu 
> series of documents.
> If in the WG, perhaps edu can help out by providing people to 
> actually write the tutorial document
> or help out with the writing. Sometimes people who have been living 
> with something for years forget
> what is arcane terminology...what isn't immediately apparent to 
> someone who hasn't been in that
> community, so it might be good to have outsiders write the 
> tutorials.
>
> I'm always happy to learn new things, and once I understand them, I 
> like writing about them.
> If I had the cooperation of someone in the WG who would be willing 
> to explain things to me
> so I wouldn't have to do it cold from incomprehensible documents, or 
> be expected to
> read the mailing list archives to capture the contentious issues, 
> I'd be happy to write or help write
> such documents.
>
> Radia
>
>
>
> Spencer Dawkins wrote:
>
>> OK, Margaret has also sent me a private e-mail, so let me clarify - 
>> I am talking about encouraging people to capture technical 
>> SUMMARIES, not sponsoring technical contributions (and wasn't 
>> thinking about draft-ietf-edu-* at all).
>>
>>> Well, the edu team is not properly speaking a WG, so i don't know 
>>> if we  can sponsor drafts as in: draft-ietf-edu...  I somehow 
>>> doubt it. But  maybe.  Brian?
>>>
>>>> I am Not a Routing Person, but I noticed this exchange on the 
>>>> NANOG list, and further noticed Radia's name among the 
>>>> acknowledgements (whether "directly or indirectly") in the draft.
>>>>
>>>> date,  since it expired in 2004). I believe the canonical 
>>>> reference on the  topic is a Dave Katz presentation to NANOG 
>>>> that's a few years older,  so this draft seems worth publishing, 
>>>> at some point.
>>>>
>>>> Would the EDU team be a reasonable sponsor for this draft? I 
>>>> can't imagine another one in the IETF (well, I GUESS I can 
>>>> imagine RTGWG, but the draft has expired, so this wasn't so 
>>>> obviously the right thing  to do that RTGWG sponsored it in 
>>>> 2004).
>>>>
>>>> publish  stuff like this, but the IETF does have responsibility 
>>>> for OSPF (at a  minimum, plus whatever we're doing with IS-IS).
>>>>
>>>> Spencer
>>>>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 29 Jun 2005 19:33:26 +0200

> draft-ietf-edu...  I somehow doubt it. But  maybe.  Brian?

Rules are made to be broken, but this designation isn't currently in
the I-D guidelines.

Anyway, given the slowness of the while RFC mechanism, why not simply
post tutorials on a dedicated area of the ISOC web site? They won't be
part of the IETF process anyway, and they could even use fonts
and real diagrams.

I think tutorial texts are a great idea if that isn't obvious. But let's
not make them dependent on IETF process.

     Brian

Spencer Dawkins wrote:
> ftp://ftp.rfc-editor.org/in-notes/rfc4101.txt to my inbox - Eric and the 
> IAB have done an excellent job of proposing roughly what Radia proposed 
> for tutorial/overviews; might it be reasonable to sponsor a tutorial 
> based on RFC 4101 at IETF 64?
> 
>> relative to theirs. But on the other hand, documents comparing things 
>> in a fair technical way do capture
>> information everyone wonders about, and it ultimately causes protocols 
>> to improve, because although
>> sometimes people in WG A want to just ignore WG B, if someone actually 
>> explains the advantages,
>> often WG A is happy to modify their protocol. (better yet would be to 
>> also credit WG B with the
>> detail behind a protocol, without all the exact bits and bytes, so it 
>> is small enough to comprehend,
>> plus have a document that captures all the contentious issues and all 
>> the arguments on both sides,
>> so it could be revived in the future (if it turns out that some of the 
>> reasoning was wrong or new
>> with other things, and was waiting for IKEv2 to get finalized, rather 
>> than trying to write up a somewhat
>> If in the WG, perhaps edu can help out by providing people to actually 
>> write the tutorial document
>> community, so it might be good to have outsiders write the tutorials.
>>
>> If I had the cooperation of someone in the WG who would be willing to 
>> explain things to me
>> read the mailing list archives to capture the contentious issues, I'd 
>> be happy to write or help write
>> such documents.
>>
>> Radia
>>
>>
>>
>> Spencer Dawkins wrote:
>>

---

From: Mirjam Kuehne <[email-masked]>
Date: Thu, 30 Jun 2005 12:21:54 +0200

>part of the IETF process anyway, and they could even use fonts

I think this is an excellent idea. We have various forms of publications
(member briefings, info bulletins etc.). It depends a bit on the type and
length of the document. We could also create a new series:
'IETF tutorials' or something like that (this only makes sense if there
will be more than one).

Mirjam

>>>A lot of RFCs sort of assume you've been living with the WG for 10 years 
>>>in order to understand it,
>>>relative to theirs. But on the other hand, documents comparing things in 
>>>a fair technical way do capture
>>>detail behind a protocol, without all the exact bits and bytes, so it is 
>>>small enough to comprehend,
>>>moving target. I keep getting emails from people asking where the draft 
>>>went.
>>>
>>>But perhaps this is something that edu can do. Not documents to add any 
>>>technical content, but to
>>>tutorialize in writing things that are hard to grasp otherwise. Perhaps 
>>>this should be done in the
>>>same WG as the complex document. Or perhaps there could be an edu series 
>>>of documents.
>>>or help out with the writing. Sometimes people who have been living with 
>>>something for years forget
>>>what is arcane terminology...what isn't immediately apparent to someone 
>>>who hasn't been in that
>>>I'm always happy to learn new things, and once I understand them, I like 
>>>writing about them.
>>>so I wouldn't have to do it cold from incomprehensible documents, or be 
>>>expected to
>>>read the mailing list archives to capture the contentious issues, I'd be 
>>>happy to write or help write
>>>such documents.
>>>
>>>Radia
>>>
>>>
>>>
>>>Spencer Dawkins wrote:
>>>
>>>>am talking about encouraging people to capture technical SUMMARIES, not 
>>>>>and  posting it permanently might be a problem within the formal 
>>>>>IETF  context given the rules/practices concerning the temporary 
>>>>>nature of  ids.
>>>>>
>>>>>RFC  informational as in individual work.  they do not need a hosting 
>>>>>group  for that.
>>>>>
>>>>>a.
>>>>>
>>>>>>>!> you find better scalability and stability running IS-IS than OSPF?  I
>>>>>>>!> Any insights or experiences that you can share would be most helpful.
>>>>>>>!>
>>>>>>>!> Thanks,
>>>>>>>!>
>>>>>>>!> Daniel Evans
>>>>>>>!> Alltel Communications
>>>>>>>!>
>>>>>>>!>
>>>>>>>
>>>>>>>
>>>>>>
>>>>>>
>>>>>>--
>>>>>>
>>>>>>--
>>>>>>Class of 2004

---

From: "Spencer Dawkins" <[email-masked]>
Date: Thu, 30 Jun 2005 22:38:39 -0500

And, going back to Radia's initial note...

I'm also interested in writing tutorials, as Radia discussed (below), 
and am wondering what the most useful tutorials might be. Radia 
mentioned that she had started a tutorial on IKE, but it expired while 
she was waiting for IKEv2 to finalize.

In the Protocol Model RFC, Eric/the IAB called out IKE specifically as 
"one of the most complicated security protocols ever designed by the 
IETF", and wrote example text for STUN, DCCP, WebDAV, and IKE.

Other candidates?

Spencer